# MrzFallbackConfiguration class

MRZ fallback configuration element. This configuration element does not enable the scanning of any document types by itself. Add to extractor configuration to enable recognizing the MRZ only, specifically for documents that are otherwise not supported. Note that this may enable scanning of documents that were not enabled through the accepted document types.

Inheritance
  - Object
  - DocumentDataExtractorConfigurationElement
  - MrzFallbackConfiguration

## Constructors

MrzFallbackConfiguration.new({List<String>? acceptedCountries, List<MrzDocumentType>? acceptedMRZTypes})
MrzFallbackConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

acceptedCountries ↔ List<String>
  List of ISO 3166-1 alpha-3 country codes for which the MRZ fallback is enabled. (e.g. "DEU" for Germany).
  getter/setter pair
acceptedMRZTypes ↔ List<MrzDocumentType>
  List of MRZ document types for which MRZ fallback is enabled.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited